Bug 1095315 - jmol: Embeds classes from icedtea-web
Summary: jmol: Embeds classes from icedtea-web
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jmol
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1095309 1098237
TreeView+ depends on / blocked
 
Reported: 2014-05-07 12:50 UTC by Florian Weimer
Modified: 2014-05-17 06:31 UTC (History)
1 user (show)

Fixed In Version: jmol-14.0.13-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-17 06:29:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2014-05-07 12:50:51 UTC
During the build process, jmol copies over classes from icedtea-web.  Apart from general maintenance issues (a rebuild of jmol is needed to completely address icedtea-web bugs such as bug 1095309), this untracked dependency may cause Fedora to ship compiled Java code as part of the jmol packages, without shipping matching source code, against the licensing guidelines.

Comment 1 Susi Lehtola 2014-05-07 14:35:19 UTC
Although I'm the maintainer of both jspecview and JMol, I don't have much experience with Java. Could you aid me by telling what is the ant directive that causes the embedding?

Comment 2 Florian Weimer 2014-05-07 14:57:17 UTC
Looks like the libjars target is the culprit.  The build log says this:

libjars:
    [mkdir] Created dir: /builddir/build/BUILD/jmol-14.0.13/build/appjars
    [unjar] Expanding: /usr/share/java/naga.jar into /builddir/build/BUILD/jmol-14.0.13/build/appjars
    [unjar] Expanding: /usr/share/java/commons-cli.jar into /builddir/build/BUILD/jmol-14.0.13/build/appjars
    [unjar] Expanding: /usr/share/java/jspecview.app.jar into /builddir/build/BUILD/jmol-14.0.13/build/appjars
    [unjar] Expanding: /usr/share/java/jspecview.applet.jar into /builddir/build/BUILD/jmol-14.0.13/build/appjars
   [delete] Deleting directory /builddir/build/BUILD/jmol-14.0.13/build/appjars/javajs
   [delete] Deleting directory /builddir/build/BUILD/jmol-14.0.13/build/appjars/org/jmol
   [delete] Deleting directory /builddir/build/BUILD/jmol-14.0.13/build/appjars/META-INF
    [touch] Creating /builddir/build/BUILD/jmol-14.0.13/build/libjars.timestamp

As to why this is there, I don't know.  In Fedora, we use wrapper scripts which set up an appropriate classpath, we don't copy the classes applications need.

Comment 3 Susi Lehtola 2014-05-07 15:51:20 UTC
Please check scratch build at

http://koji.fedoraproject.org/koji/taskinfo?taskID=6823088

Comment 4 Fedora Update System 2014-05-08 07:14:20 UTC
jmol-14.0.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jmol-14.0.13-2.fc19

Comment 5 Fedora Update System 2014-05-08 07:14:28 UTC
jmol-14.0.13-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jmol-14.0.13-2.fc20

Comment 6 Florian Weimer 2014-05-08 07:21:04 UTC
(In reply to Susi Lehtola from comment #3)
> Please check scratch build at
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6823088

The files are gone, but I have not checked if functionality is impacted.

Comment 7 Fedora Update System 2014-05-09 02:58:01 UTC
Package jmol-14.0.13-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jmol-14.0.13-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6150/jmol-14.0.13-2.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-05-17 06:29:18 UTC
jmol-14.0.13-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-05-17 06:31:52 UTC
jmol-14.0.13-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.